Skip to main content
PUT
/
conversations
/
{conversation_id}
/
variables
/
{variable_id}
更新对话变量
curl --request PUT \
  --url https://{api_base_url}/conversations/{conversation_id}/variables/{variable_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "value": "new value",
  "user": "abc-123"
}
'
import requests

url = "https://{api_base_url}/conversations/{conversation_id}/variables/{variable_id}"

payload = {
"value": "new value",
"user": "abc-123"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: 'new value', user: 'abc-123'})
};

fetch('https://{api_base_url}/conversations/{conversation_id}/variables/{variable_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
  "name": "user_preference",
  "value_type": "string",
  "value": "new value",
  "description": "用户偏好设置",
  "created_at": 1705407629,
  "updated_at": 1705411229
}

Authorizations

Authorization
string
header
required

API Key 认证。对于所有 API 请求,请在 Authorization HTTP 头中包含您的 API Key,并加上 Bearer 前缀。示例:Authorization: Bearer {API_KEY}强烈建议将 API Key 存储在服务端,不要在客户端共享或存储,以避免 API Key 泄漏导致严重后果。缺少或无效的 API Key 会返回 HTTP 401,错误码为 unauthorized

Path Parameters

conversation_id
string<uuid>
required

会话 ID。

variable_id
string<uuid>
required

Variable ID.

Body

application/json

更新会话变量的请求体。

value
any
required

变量的新值。必须与变量的预期类型匹配。

user
string

用户标识符。

Response

变量更新成功。

id
string<uuid>

Variable ID.

name
string

变量名称。

value_type
string

变量值类型。可选值:stringnumberobjectsecretfilebooleanarray[any]array[string]array[number]array[object]array[file]array[boolean]

value
string

变量值(复杂类型可以是 JSON 字符串)。

description
string

变量描述。

created_at
integer<int64>

创建时间戳。

updated_at
integer<int64>

最后更新时间戳。

Last modified on July 9, 2026